aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorDr. Stephen Henson <steve@openssl.org>2015-06-25 15:07:25 +0100
committerDr. Stephen Henson <steve@openssl.org>2015-06-29 19:20:23 +0100
commit5fced2395ddfb603a50fd1bd87411e603a59dc6f (patch)
treebc76258acb07312bf48f1c5ccc1f138f566033b0 /test
parentb34f691ddbf618978ed9e97a0b9209937c1da26e (diff)
downloadopenssl-5fced2395ddfb603a50fd1bd87411e603a59dc6f.tar.gz
Check for errors with SRP
Reviewed-by: Matt Caswell <matt@openssl.org>
Diffstat (limited to 'test')
-rw-r--r--test/testssl8
1 files changed, 4 insertions, 4 deletions
diff --git a/test/testssl b/test/testssl
index dd8920418d..81b8a93038 100644
--- a/test/testssl
+++ b/test/testssl
@@ -236,16 +236,16 @@ if ../util/shlib_wrap.sh ../apps/openssl no-srp; then
echo skipping SRP tests
else
echo test tls1 with SRP
- $ssltest -tls1 -cipher SRP -srpuser test -srppass abc123
+ $ssltest -tls1 -cipher SRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP via BIO pair
- $ssltest -bio_pair -tls1 -cipher SRP -srpuser test -srppass abc123
+ $ssltest -bio_pair -tls1 -cipher SRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP auth
- $ssltest -tls1 -cipher aSRP -srpuser test -srppass abc123
+ $ssltest -tls1 -cipher aSRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP auth via BIO pair
- $ssltest -bio_pair -tls1 -cipher aSRP -srpuser test -srppass abc123
+ $ssltest -bio_pair -tls1 -cipher aSRP -srpuser test -srppass abc123 || exit 1
fi
#############################################################################